Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity.cpp	(revision 41)
@@ -20,5 +20,6 @@
   {
     log_printf(FUNC,Behavioural,"Entity","Begin");
-    _is_map = false;
+    _interfaces = new Interfaces (name);
+    _is_map     = false;
     log_printf(FUNC,Behavioural,"Entity","End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_interfaces.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Entity_set_interfaces.cpp	(revision 41)
@@ -14,9 +14,5 @@
   Interfaces * Entity::set_interfaces (void)
   {
-    Interfaces * interfaces = new Interfaces ();
-
-    _interfaces = interfaces;
-    
-    return interfaces;
+    return _interfaces;
   };
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface.cpp	(revision 41)
@@ -30,5 +30,5 @@
 
 #ifdef VHDL_TESTBENCH
-    _list_cycle    = new list<string>;
+    _nb_cycle      = 0;
 #endif
 
@@ -50,5 +50,5 @@
 #endif
 #ifdef VHDL_TESTBENCH
-    _list_cycle    = interface._list_cycle;
+    _nb_cycle      = interface._nb_cycle;
 #endif
 
@@ -73,8 +73,4 @@
     delete _list_signal;
 
-#ifdef VHDL_TESTBENCH
-    delete _list_cycle ;
-#endif
-
     log_printf(FUNC,Behavioural,"~Interface","End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo.cpp	(revision 41)
@@ -25,4 +25,5 @@
 #ifdef VHDL_TESTBENCH
     _test_exhaustive = true;
+    _list_cycle      = new list<uint32_t>;
 #endif
 
@@ -42,4 +43,5 @@
 #ifdef VHDL_TESTBENCH
     _test_exhaustive = interface_fifo._test_exhaustive;
+    _list_cycle      = interface_fifo._list_cycle;
 #endif
 
@@ -54,4 +56,8 @@
     delete _list_signal_ack;
 
+#ifdef VHDL_TESTBENCH
+    delete _list_cycle;
+#endif
+
     log_printf(FUNC,Behavioural,"~Interface_fifo","End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_get_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_get_cycle.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_get_cycle.cpp	(revision 41)
@@ -0,0 +1,25 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface_fifo.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  uint32_t Interface_fifo::get_cycle (void)
+  {
+    if (_test_exhaustive == true)
+      return Interface::get_cycle();
+    
+    return _list_cycle->back();
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_save_ptr.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_save_ptr.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_save_ptr.cpp	(revision 41)
@@ -16,4 +16,8 @@
     log_printf(FUNC,Behavioural,"save_ptr","Begin");
     
+#ifdef VHDL_TESTBENCH
+    _test_exhaustive = false;
+#endif
+
     if (val_ack == VAL)
       _list_signal_val->push_back (signal);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_set_signal.cpp	(revision 41)
@@ -17,5 +17,5 @@
   {
     log_printf(FUNC,Behavioural,"set_signal_valack","Begin");
-    
+
     Signal * sig = Interface::set_signal (name         ,
 					  direction    ,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench.cpp	(revision 41)
@@ -13,5 +13,5 @@
 namespace behavioural          {
 
-  void Interface_fifo::testbench (Vhdl_Testbench * & vhdl_testbench)
+  void Interface_fifo::testbench (void)
   {
     log_printf(FUNC,Behavioural,"testbench","Begin");
@@ -20,5 +20,6 @@
       testbench_cycle ();
     
-    Interface::testbench(vhdl_testbench);
+    Interface::testbench_cycle ();
+    Interface::testbench();
 
     log_printf(FUNC,Behavioural,"testbench","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_cycle.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_cycle.cpp	(revision 41)
@@ -0,0 +1,27 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface_fifo.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interface_fifo::testbench_cycle (void)
+  {
+    log_printf(FUNC,Behavioural,"testbench_cycle","Begin");
+
+    // note : if defined(VHDL_TESTBENCH) then defined(SYSTEMC)
+    _list_cycle->push_back(static_cast<uint32_t>(sc_simulation_time()));
+
+    log_printf(FUNC,Behavioural,"testbench_cycle","End");
+  }
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_fifo_testbench_test.cpp	(revision 41)
@@ -0,0 +1,55 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface_fifo.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface_fifo::testbench_test (Vhdl * & vhdl,
+				       string   counter_name)
+  {
+    log_printf(FUNC,Behavioural,"testbench_test","Begin");
+    string test_name;
+    
+    if (_test_exhaustive == true)
+      test_name = Interface::testbench_test(vhdl,counter_name);
+    else
+      {
+	vhdl->set_body("");
+	vhdl->set_body("-- Test partial");
+	vhdl->set_body("");
+
+	test_name    = testbench_test_name   (vhdl);
+	string test_name_ok = testbench_test_ok     (vhdl);
+
+	if (_list_cycle->empty()== false)
+	  {
+	    vhdl->set_body ("with "+counter_name+" select");
+	    vhdl->set_body ("\t"+test_name+" <=");
+	
+	    list<uint32_t>::iterator i = _list_cycle->begin();
+	    
+	    while (i != _list_cycle->end())
+	      {
+		vhdl->set_body ("\t"+test_name_ok+" when "+toString(*i)+",");
+		++i;
+	      }
+	    vhdl->set_body ("\t'1' when others;");
+	  }
+      }
+
+    log_printf(FUNC,Behavioural,"testbench_test","End");
+
+    return test_name;
+
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_clock.cpp	(revision 41)
@@ -0,0 +1,42 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::get_clock (void)
+  {
+    string clock = "";
+    
+    if (not _list_signal->empty())
+      {
+	list<Signal*>::iterator i     = _list_signal->begin();
+	
+	while (i != _list_signal->end())
+	  {
+	    string str = (*i)->get_clock ();
+
+	    if (str != "")
+	      {
+		if (clock != "")
+		  throw ErrorMorpheo ("<Interface.get_clock> : find too many clock.");
+		clock = str;
+	      }
+	    ++i;
+	  }
+      }
+
+    return clock;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_cycle.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_cycle.cpp	(revision 41)
@@ -0,0 +1,22 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  uint32_t Interface::get_cycle (void)
+  {
+    return _nb_cycle;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_get_signal.cpp	(revision 41)
@@ -51,4 +51,22 @@
   };
 
+#ifdef VHDL
+#  ifdef VHDL_TESTBENCH
+  void Interface::get_signal (list<string> * & list_signal)
+  {
+    if (not _list_signal->empty())
+      {
+	list<Signal*>::iterator i = _list_signal->begin();
+	
+	while (i != _list_signal->end())
+	  {
+	    (*i)->get_name_vhdl (list_signal);
+	    ++i;
+	  }
+      }
+  };
+#  endif
+#endif
+
 }; // end namespace behavioural          
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_print.cpp	(revision 41)
@@ -20,16 +20,16 @@
     output_stream << x.get_signal () << endl;
 
-#ifdef VHDL_TESTBENCH
-    if (x._list_cycle->empty()== false)
-      {
-	list<string>::iterator i = x._list_cycle->begin();
+// #ifdef VHDL_TESTBENCH
+//     if (x._list_cycle->empty()== false)
+//       {
+// 	list<string>::iterator i = x._list_cycle->begin();
 
-	while (i != x._list_cycle->end())
-	  {
-	    output_stream << "\n\t" << *i ;
-	    ++i;
-	  }
-      }
-#endif
+// 	while (i != x._list_cycle->end())
+// 	  {
+// 	    output_stream << "\n\t" << *i ;
+// 	    ++i;
+// 	  }
+//       }
+// #endif
 
     log_printf(FUNC,Behavioural,"operator<<","End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_port.cpp	(revision 41)
@@ -22,8 +22,5 @@
 	while (i != _list_signal->end())
 	  {
-	    presence_port_t p = (*i)->_presence_port;
-	    if ((p == PORT_VHDL_YES_TESTBENCH_YES) or
-		(p == PORT_VHDL_YES_TESTBENCH_NO ) )
-	      vhdl->set_port ((*i)->_name,(*i)->_direction,(*i)->_size);
+	    (*i)->set_port (vhdl);
 	    ++i;
 	  }
@@ -33,24 +30,4 @@
 #endif
 
-#ifdef VHDL_TESTBENCH
-  void Interface::set_port (Vhdl_Testbench * & vhdl_testbench)
-  {
-    log_printf(FUNC,Behavioural,"set_port (Testbench)","Begin");
-    if (not _list_signal->empty())
-      {
-	list<Signal*>::iterator i     = _list_signal->begin();
-	
-	while (i != _list_signal->end())
-	  {
-	    presence_port_t p = (*i)->_presence_port;
-	    if ((p == PORT_VHDL_YES_TESTBENCH_YES) or
-		(p == PORT_VHDL_NO_TESTBENCH_YES ) )
-	      vhdl_testbench->set_port ((*i)->_name,(*i)->_direction,(*i)->_size);
-	    ++i;
-	  }
-      }
-    log_printf(FUNC,Behavioural,"set_port (Testbench)","End");
-  };
-#endif
 }; // end namespace behavioural          
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_set_signal.cpp	(revision 41)
@@ -32,4 +32,22 @@
   };
 
+#ifdef VHDL
+#  ifdef VHDL_TESTBENCH
+  void Interface::set_signal (Vhdl * & vhdl)
+  {
+    if (not _list_signal->empty())
+      {
+	list<Signal*>::iterator i = _list_signal->begin();
+	
+	while (i != _list_signal->end())
+	  {
+	    (*i)->set_signal (vhdl);
+	    ++i;
+	  }
+      }
+  };
+#  endif
+#endif
+
 }; // end namespace behavioural          
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench.cpp	(revision 41)
@@ -13,11 +13,5 @@
 namespace behavioural          {
 
-  void Interface::testbench_cycle (void)
-  {
-    // note : if defined(VHDL_TESTBENCH) then defined(SYSTEMC)
-    _list_cycle->push_back(toString(sc_simulation_time()));
-  }
-
-  void Interface::testbench (Vhdl_Testbench * & vhdl_testbench)
+  void Interface::testbench (void)
   {
     log_printf(FUNC,Behavioural,"testbench","Begin");
@@ -29,5 +23,5 @@
 	while (i != _list_signal->end())
 	  {
-	    (*i)->testbench(vhdl_testbench);
+	    (*i)->testbench();
 	    ++i;
 	  }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_body.cpp	(revision 41)
@@ -0,0 +1,40 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interface::testbench_body (Vhdl * & vhdl,
+				  string   counter_name)
+  {
+    log_printf(FUNC,Behavioural,"testbench_body","Begin");
+
+    if (_list_signal->empty()== false)
+      {
+	list<Signal*>::iterator i = _list_signal->begin();
+
+	vhdl->set_body("------------------------------------------------------");
+	vhdl->set_body("-- interface \""+_name+"\"");
+	vhdl->set_body("------------------------------------------------------");
+    
+	while (i != _list_signal->end())
+	  {
+	    (*i)->testbench_body(vhdl, counter_name);
+	    ++i;
+	  }
+      }
+
+    log_printf(FUNC,Behavioural,"testbench_body","End");
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_cycle.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_cycle.cpp	(revision 41)
@@ -0,0 +1,26 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interface::testbench_cycle (void)
+  {
+    log_printf(FUNC,Behavioural,"testbench_cycle","Begin");
+
+    _nb_cycle ++;
+
+    log_printf(FUNC,Behavioural,"testbench_cycle","End");
+  }
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test.cpp	(revision 41)
@@ -0,0 +1,36 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::testbench_test (Vhdl * & vhdl,
+				    string   counter_name)
+  {
+    log_printf(FUNC,Behavioural,"testbench_test","Begin");
+
+    vhdl->set_body("");
+    vhdl->set_body("-- Test exhaustive");
+    vhdl->set_body("");
+
+    string test_name    = testbench_test_name(vhdl);
+    string test_name_ok = testbench_test_ok     (vhdl);
+
+    vhdl->set_body(test_name + " <= "+test_name_ok+";");
+
+    log_printf(FUNC,Behavioural,"testbench_test","End");
+
+    return test_name;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_name.cpp	(revision 41)
@@ -0,0 +1,53 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::testbench_test_name (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Behavioural,"testbench_test_name","Begin");
+
+    string name;
+
+    name = "interface_";
+    if (_name != "")
+      name += _name + "_";
+    name += "test";
+
+    vhdl->set_signal(name,1);
+    
+    log_printf(FUNC,Behavioural,"testbench_test_name","End");
+
+    return name;
+  };
+
+  string Interface::testbench_test_ok_name (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Behavioural,"testbench_test_ok_name","Begin");
+
+    string name;
+
+    name = "interface_";
+    if (_name != "")
+      name += _name + "_";
+    name += "test_ok";
+
+    vhdl->set_signal(name,1);
+    
+    log_printf(FUNC,Behavioural,"testbench_test_ok_name","End");
+
+    return name;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interface_testbench_test_ok.cpp	(revision 41)
@@ -0,0 +1,43 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interface.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interface::testbench_test_ok (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Behavioural,"testbench_test_ok","Begin");
+
+    string test_name = testbench_test_ok_name(vhdl);
+
+    vhdl->set_body(test_name + " <= '1' when true");
+    // set all condition
+    if (_list_signal->empty()== false)
+      {
+	list<Signal*>::iterator i     = _list_signal->begin();
+
+	while (i != _list_signal->end())
+	  {
+	    (*i)->testbench_test_ok(vhdl);
+	    ++i;
+	  }
+      }
+    vhdl->set_body("else '0';");
+    vhdl->set_body("");
+
+    log_printf(FUNC,Behavioural,"testbench_test_ok","End");
+
+    return test_name;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces.cpp	(revision 41)
@@ -11,5 +11,6 @@
 namespace behavioural          {
 
-  Interfaces::Interfaces  (void)
+  Interfaces::Interfaces  (string name):
+    _name (name)
   {
     log_printf(FUNC,Behavioural,"Interfaces","Begin");
@@ -18,5 +19,6 @@
   };
 
-  Interfaces::Interfaces  (const Interfaces & interfaces)
+  Interfaces::Interfaces  (const Interfaces & interfaces) :
+    _name (interfaces._name)
   {
     log_printf(FUNC,Behavioural,"Interfaces (copy)","Begin");
@@ -28,4 +30,8 @@
   {
     log_printf(FUNC,Behavioural,"~Interfaces","Begin");
+
+#ifdef VHDL_TESTBENCH
+    testbench_generate_file ();
+#endif
 
     if (_list_interface->empty()== false)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_clock.cpp	(revision 41)
@@ -0,0 +1,45 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+  
+  string Interfaces::get_clock (void)
+  {
+    string clock = "";
+    
+    if (not _list_interface->empty())
+      {
+	list<Interface_fifo*>::iterator i     = _list_interface->begin();
+	
+	while (i != _list_interface->end())
+	  {
+	    string str = (*i)->get_clock ();
+
+	    if (str != "")
+	      {
+		if (clock != "")
+		  throw ErrorMorpheo ("<Interfaces.get_clock> : find too many clock.");
+		clock = str;
+	      }
+	    ++i;
+	  }
+      }
+
+    if (clock == "")
+      throw ErrorMorpheo ("<Interfaces.get_clock> : no clock find.");
+    
+    return clock;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_cycle.cpp	(revision 41)
@@ -0,0 +1,39 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  uint32_t Interfaces::get_cycle (void)
+  {
+    uint32_t cycle = 0;
+    
+    if (not _list_interface->empty())
+      {
+	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	
+	while (i != _list_interface->end())
+	  {
+	    uint32_t x = (*i)->get_cycle ();
+	    
+	    if (x > cycle)
+	      cycle = x;
+
+	    ++i;
+	  }
+      }
+    
+    return cycle;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_get_signal.cpp	(revision 41)
@@ -0,0 +1,33 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+#ifdef VHDL
+#  ifdef VHDL_TESTBENCH
+  void Interfaces::get_signal (list<string> * & list_signal)
+  {
+    if (not _list_interface->empty())
+      {
+	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	
+	while (i != _list_interface->end())
+	  {
+	    (*i)->get_signal (list_signal);
+	    ++i;
+	  }
+      }
+  };
+#  endif
+#endif
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_port.cpp	(revision 41)
@@ -28,21 +28,4 @@
 #endif
 
-
-#ifdef VHDL_TESTBENCH
-  void Interfaces::set_port (Vhdl_Testbench * & vhdl_testbench)
-  {
-    if (not _list_interface->empty())
-      {
-	list<Interface_fifo*>::iterator i     = _list_interface->begin();
-	
-	while (i != _list_interface->end())
-	  {
-	    (*i)->set_port (vhdl_testbench);
-	    ++i;
-	  }
-      }
-  };
-#endif
-
 }; // end namespace behavioural          
 }; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_set_signal.cpp	(revision 41)
@@ -0,0 +1,33 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+#ifdef VHDL
+#  ifdef VHDL_TESTBENCH
+  void Interfaces::set_signal (Vhdl * & vhdl)
+  {
+    if (not _list_interface->empty())
+      {
+	list<Interface_fifo*>::iterator i = _list_interface->begin();
+	
+	while (i != _list_interface->end())
+	  {
+	    (*i)->set_signal (vhdl);
+	    ++i;
+	  }
+      }
+  };
+#  endif
+#endif
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench.cpp	(revision 41)
@@ -13,5 +13,5 @@
 namespace behavioural          {
 
-  void Interfaces::testbench (Vhdl_Testbench * & vhdl_testbench)
+  void Interfaces::testbench (void)
   {
     log_printf(FUNC,Behavioural,"testbench","Begin");
@@ -23,5 +23,5 @@
 	while (i != _list_interface->end())
 	  {
-	    (*i)->testbench(vhdl_testbench);
+	    (*i)->testbench();
 	    ++i;
 	  }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_body.cpp	(revision 41)
@@ -0,0 +1,53 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+#include "Behavioural/include/Entity.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Interfaces::testbench_body (Vhdl * & vhdl,
+				   string   counter_name)
+  {
+    log_printf(FUNC,Behavioural,"testbench_body","Begin");
+
+    string test      = "'1'";
+    string test_name = "test";
+    vhdl->set_signal(test_name,1);
+
+    if (_list_interface->empty()== false)
+      {
+	list<Interface_fifo*>::iterator i = _list_interface->begin();
+
+	while (i != _list_interface->end())
+	  {
+	    (*i)->testbench_body(vhdl, counter_name);
+	    string str = (*i)->testbench_test(vhdl, counter_name);
+
+	    test += " and "+str;
+	    ++i;
+	  }
+      }
+
+    vhdl->set_body("");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("-- Test");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("");
+    vhdl->set_body(test_name + " <= "+test+";");
+    vhdl->set_body("");
+
+    log_printf(FUNC,Behavioural,"testbench_body","End");
+
+    return test_name;
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Interfaces_testbench_generate_file.cpp	(revision 41)
@@ -0,0 +1,91 @@
+#ifdef VHDL_TESTBENCH
+
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Interfaces.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Interfaces::testbench_generate_file  (void)  
+  {
+    log_printf(FUNC,Behavioural,"generate_file","Begin");
+
+    Vhdl   * vhdl        = new Vhdl(_name+"_Testbench");
+    string   counter     = "counter";
+    string   clock       = this->get_clock();
+    uint32_t cycle       = this->get_cycle();
+
+    vhdl      ->set_signal    (counter, "natural", "0");
+    vhdl      ->set_signal    (clock  , 1        , 0); // modif Signal_set_signal
+    this->set_signal    (vhdl);
+
+    vhdl->set_body("");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("-- Component");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("");
+
+    list<string> * list_signal = new list<string>;
+    this->get_signal (list_signal);
+
+    vhdl->set_library_work (_name + "_Pack");
+    vhdl->set_body("instance_"+_name+" : "+_name);
+    vhdl->set_body("port map (");
+    
+    list<string>::iterator i   = list_signal->begin();
+    if (i != list_signal->end())
+      {
+        vhdl->set_body("\t "+*i+"\t=>\t"+*i);
+        ++i;
+      }
+    while (i != list_signal->end())
+      {
+        vhdl->set_body("\t,"+*i+"\t=>\t"+*i);
+        ++i;
+      }
+    vhdl->set_body("         );");
+
+    delete list_signal;
+
+    vhdl->set_body("");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("-- Port's affectation");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("");
+    string test_name = this->testbench_body(vhdl,counter);
+
+    vhdl->set_body("");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("-- process clock");
+    vhdl->set_body("------------------------------------------------------");
+    vhdl->set_body("");
+    vhdl->set_body(clock+" <= not "+clock+" after 50 ns;");
+    vhdl->set_body("");
+    vhdl->set_body("process ("+clock+")");
+    vhdl->set_body("begin");
+    vhdl->set_body("\tif "+clock+"'event and "+clock+" = '1' then");
+    vhdl->set_body("\t\t"+counter+" <= "+counter+"+1;");
+    vhdl->set_body("");
+    vhdl->set_body("\t\tassert     ("+test_name+" = '1') report \"Test KO\" severity FAILURE;");
+    vhdl->set_body("\t\tassert not ("+counter+" = "+toString(cycle)+") report \"Test OK\" severity FAILURE;");
+    vhdl->set_body("");
+    vhdl->set_body("\tend if;");
+    vhdl->set_body("end process;");
+
+    vhdl->generate_file();
+
+    delete vhdl;
+    
+    log_printf(FUNC,Behavioural,"generate_file","End");
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_clock.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_clock.cpp	(revision 41)
@@ -0,0 +1,26 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  string Signal::get_clock (void)
+  {
+    if ((_presence_port == CLOCK_VHDL_YES) or
+	(_presence_port == CLOCK_VHDL_NO ))
+      return _name;
+    else
+      return "";
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_get_name_vhdl.cpp	(revision 41)
@@ -0,0 +1,25 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Signal::get_name_vhdl (list<string> *& list_signal)
+  {
+    if ((_presence_port == PORT_VHDL_YES_TESTBENCH_YES) or
+	(_presence_port == PORT_VHDL_YES_TESTBENCH_NO ) or
+	(_presence_port == CLOCK_VHDL_YES))
+      list_signal->push_back(_name);
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_set_port.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_set_port.cpp	(revision 41)
@@ -0,0 +1,48 @@
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+
+namespace morpheo              {
+namespace behavioural          {
+
+#ifdef VHDL
+  void Signal::set_port (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Behavioural,"set_port (Vhdl)","Begin");
+
+    if ((_presence_port == PORT_VHDL_YES_TESTBENCH_YES) or
+	(_presence_port == PORT_VHDL_YES_TESTBENCH_NO ) or
+	(_presence_port == CLOCK_VHDL_YES))
+      vhdl->set_port (_name,_direction,_size);
+
+    log_printf(FUNC,Behavioural,"set_port (Vhdl)","End");
+  };
+
+#ifdef VHDL_TESTBENCH
+  void Signal::set_signal (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Behavioural,"set_signal (Vhdl)","Begin");
+    
+    if ((_presence_port == PORT_VHDL_YES_TESTBENCH_YES) or
+	(_presence_port == PORT_VHDL_NO_TESTBENCH_YES )//  or
+// 	(_presence_port == CLOCK_VHDL_YES) or
+// 	(_presence_port == CLOCK_VHDL_NO ) 
+	)
+      vhdl->set_signal (_name        ,_size);
+
+    if (_direction == OUT)
+      vhdl->set_signal (_name+"_test",_size);
+
+    log_printf(FUNC,Behavioural,"set_signal (Vhdl)","End");
+  };
+#endif
+#endif
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench.cpp	(revision 41)
@@ -13,10 +13,10 @@
 
   // à optimisé -> pointeur de fonction afin d'éviter le test et le switch
-  void Signal::testbench (Vhdl_Testbench * & vhdl_testbench)
+  void Signal::testbench (void)
   {
     log_printf(FUNC,Behavioural,"testbench","Begin");
 
     if ((_presence_port == PORT_VHDL_YES_TESTBENCH_YES) or
-	(_presence_port == PORT_VHDL_NO_TESTBENCH_YES))
+	(_presence_port == PORT_VHDL_NO_TESTBENCH_YES ))
       {
 	string str;
@@ -30,9 +30,7 @@
 	      switch (_direction)
 		{
-		case IN    : {vhdl_testbench->add_input (value);
-		              str =             toBase2 (value); break;}
-		case OUT   : {vhdl_testbench->add_output(value); 
-		              str =             toBase2 (value); break;}
-		case INOUT : {break;}
+		case IN    : {str =             toBase2 (value); break;}
+		case OUT   : {str =             toBase2 (value); break;}
+// 		case INOUT : {break;}
 		}
 	      break;
@@ -44,9 +42,7 @@
 	      switch (_direction)
 		{
-		case IN    : {vhdl_testbench->add_input (value); 
-		              str =             toBase2 (value,_size); break;}
-		case OUT   : {vhdl_testbench->add_output(value); 
-		              str =             toBase2 (value,_size); break;}
-		case INOUT : {break;}
+		case IN    : {str =             toBase2 (value,_size); break;}
+		case OUT   : {str =             toBase2 (value,_size); break;}
+// 		case INOUT : {break;}
 		}
 	      break;
@@ -58,9 +54,7 @@
 	      switch (_direction)
 		{
-		case IN    : {vhdl_testbench->add_input (value);
-		              str =             toBase2 (value,_size); break;}
-		case OUT   : {vhdl_testbench->add_output(value);
-                              str =             toBase2 (value,_size); break;}
-		case INOUT : {break;}		
+		case IN    : {str =             toBase2 (value,_size); break;}
+		case OUT   : {str =             toBase2 (value,_size); break;}
+// 		case INOUT : {break;}		
 		}
 	      break;
@@ -72,9 +66,7 @@
 	      switch (_direction)
 		{
-		case IN    : {vhdl_testbench->add_input (value); 
-		              str =             toBase2 (value,_size); break;}
-		case OUT   : {vhdl_testbench->add_output(value); 
-                              str =             toBase2 (value,_size); break;}
-		case INOUT : {break;}
+		case IN    : {str =             toBase2 (value,_size); break;}
+		case OUT   : {str =             toBase2 (value,_size); break;}
+// 		case INOUT : {break;}
 		}
 	      break;
@@ -86,9 +78,7 @@
 	      switch (_direction)
 		{
-		case IN    : {vhdl_testbench->add_input (value); 
-                              str =             toBase2 (value,_size); break;}
-		case OUT   : {vhdl_testbench->add_output(value); 
-                              str =             toBase2 (value,_size); break;}
-		case INOUT : {break;}
+		case IN    : {str =             toBase2 (value,_size); break;}
+		case OUT   : {str =             toBase2 (value,_size); break;}
+// 		case INOUT : {break;}
 		}
 	      break;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_body.cpp	(revision 41)
@@ -0,0 +1,55 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  void Signal::testbench_body (Vhdl * & vhdl,
+			       string   counter_name)
+  {
+    log_printf(FUNC,Behavioural,"testbench_body","Begin");
+
+    // _list_value is empty if we don't trace
+    if (_list_value->empty()== false)
+      {
+	string separator;
+	if (_size == 1)
+	  separator = "\'";
+	else
+	  separator = "\"";
+
+	string signame = (_direction==OUT)?(_name+"_test"):_name;
+
+	vhdl->set_body ("");
+	vhdl->set_body ("with "+counter_name+" select");
+	vhdl->set_body ("\t"+signame+" <=");
+	
+	uint32_t cpt = 0;
+	list<string>::iterator i = _list_value->begin();
+
+	while (i != _list_value->end())
+	  {
+	    list<string>::iterator j = i;
+
+	    ++i;
+	    
+	    if (i != _list_value->end())
+	      vhdl->set_body ("\t"+separator+*j+separator+" when "+toString(cpt++)+",");
+	    else
+	      vhdl->set_body ("\t"+separator+*j+separator+" when others;");
+	  }
+      }
+
+    log_printf(FUNC,Behavioural,"testbench_body","End");
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_test_ok.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_test_ok.cpp	(revision 41)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Signal_testbench_test_ok.cpp	(revision 41)
@@ -0,0 +1,27 @@
+#ifdef VHDL_TESTBENCH
+/*
+ * $Id$
+ *
+ * [ Description ]
+ * 
+ */
+
+#include "Behavioural/include/Signal.h"
+
+namespace morpheo              {
+namespace behavioural          {
+
+  // à optimisé -> pointeur de fonction afin d'éviter le test et le switch
+  void Signal::testbench_test_ok (Vhdl * & vhdl)
+  {
+    log_printf(FUNC,Behavioural,"testbench_test_ok","Begin");
+
+    if (_direction == OUT)
+      vhdl->set_body ("and "+_name+" = "+_name+"_test");
+
+    log_printf(FUNC,Behavioural,"testbench_test_ok","End");
+  };
+
+}; // end namespace behavioural          
+}; // end namespace morpheo              
+#endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench.cpp	(revision 41)
@@ -13,21 +13,21 @@
 namespace behavioural          {
 
-  Vhdl_Testbench::Vhdl_Testbench  (string   name       ,
-				   bool     exhaustive ):
-    _name        (name       ),
-    _exhaustive  (exhaustive )
-  {
-    _vhdl = new Vhdl (_name + "_Testbench");
+//   Vhdl_Testbench::Vhdl_Testbench  (string   name       ,
+// 				   bool     exhaustive ):
+//     _name        (name       ),
+//     _exhaustive  (exhaustive )
+//   {
+//     _vhdl = new Vhdl (_name + "_Testbench");
 
-    _size_input  = 0;
-    _size_output = 0;
+//     _size_input  = 0;
+//     _size_output = 0;
 
-    _num_cycle   = 0;
-  };
+//     _num_cycle   = 0;
+//   };
   
-  Vhdl_Testbench::~Vhdl_Testbench ()
-  {
-    delete _vhdl;
-  };
+//   Vhdl_Testbench::~Vhdl_Testbench ()
+//   {
+//     delete _vhdl;
+//   };
   
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_input.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_input.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_input.cpp	(revision 41)
@@ -16,9 +16,9 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::add_input (uint32_t value)
-  {
-    _list_input_cycle.push_front(toBase2(value,*_num_input));
-    _num_input++;
-  };
+//   void Vhdl_Testbench::add_input (uint32_t value)
+//   {
+//     _list_input_cycle.push_front(toBase2(value,*_num_input));
+//     _num_input++;
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_label.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_label.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_label.cpp	(revision 41)
@@ -16,8 +16,8 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::add_label (string label)
-  {
-    _list_label.push_back(label_t(_num_cycle,label));
-  };
+//   void Vhdl_Testbench::add_label (string label)
+//   {
+//     _list_label.push_back(label_t(_num_cycle,label));
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_output.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_output.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_output.cpp	(revision 41)
@@ -16,9 +16,9 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::add_output (uint32_t value)
-  {
-    _list_output_cycle.push_front(toBase2(value,*_num_output));
-    _num_output ++;
-  };
+//   void Vhdl_Testbench::add_output (uint32_t value)
+//   {
+//     _list_output_cycle.push_front(toBase2(value,*_num_output));
+//     _num_output ++;
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_test.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_add_test.cpp	(revision 41)
@@ -16,8 +16,8 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::add_test (bool must_test)
-  {
-    _list_test.push_back(must_test);
-  };
+//   void Vhdl_Testbench::add_test (bool must_test)
+//   {
+//     _list_test.push_back(must_test);
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_file.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_file.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_file.cpp	(revision 41)
@@ -14,33 +14,33 @@
 namespace behavioural          {
 
-  void Vhdl_Testbench::generate_file (void)
-  {
-    _vhdl->set_library_work (_name + "_Pack");
+//   void Vhdl_Testbench::generate_file (void)
+//   {
+//     _vhdl->set_library_work (_name + "_Pack");
 
-    if (_size_input == 0)
-      throw (ErrorMorpheo ("No input for the test bench."));
-    if (_size_output == 0)
-      throw (ErrorMorpheo ("No output for the test bench."));
+//     if (_size_input == 0)
+//       throw (ErrorMorpheo ("No input for the test bench."));
+//     if (_size_output == 0)
+//       throw (ErrorMorpheo ("No output for the test bench."));
 
-    // Only 2 signals and a variable
-    _vhdl->set_signal   ("testbench_input"       ,std_logic(_size_input ));
-    _vhdl->set_signal   ("testbench_output"      ,std_logic(_size_output));
-    _vhdl->set_signal   ("testbench_test"        ,std_logic(_size_output));
-    _vhdl->set_signal   ("testbench_must_test"   ,std_logic(1));
-    _vhdl->set_signal   ("testbench_counter"     ,"natural","0");
+//     // Only 2 signals and a variable
+//     _vhdl->set_signal   ("testbench_input"       ,std_logic(_size_input ));
+//     _vhdl->set_signal   ("testbench_output"      ,std_logic(_size_output));
+//     _vhdl->set_signal   ("testbench_test"        ,std_logic(_size_output));
+//     _vhdl->set_signal   ("testbench_must_test"   ,std_logic(1));
+//     _vhdl->set_signal   ("testbench_counter"     ,"natural","0");
 
-    uint32_t counter = get_input  ();
-    get_output ();
-    get_test   ();
-    get_label  ();
+//     uint32_t counter = get_input  ();
+//     get_output ();
+//     get_test   ();
+//     get_label  ();
 
-//     if (counter == get_output ())
-//       throw (ErrorMorpheo ("The number of input is different of number of output."));
+// //     if (counter == get_output ())
+// //       throw (ErrorMorpheo ("The number of input is different of number of output."));
 
-    generate_instance      ();
-    generate_process_clock (counter);
+//     generate_instance      ();
+//     generate_process_clock (counter);
     
-    _vhdl->generate_file(false, true);
-  };
+//     _vhdl->generate_file(false, true);
+//   };
 
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_instance.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_instance.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_instance.cpp	(revision 41)
@@ -13,23 +13,23 @@
 namespace behavioural          {
 
-  void Vhdl_Testbench::generate_instance (void)
-  {
-    _vhdl->set_body("");
-    _vhdl->set_body("instance_"+_name+" : "+_name);
-    _vhdl->set_body("port map (");
+//   void Vhdl_Testbench::generate_instance (void)
+//   {
+//     _vhdl->set_body("");
+//     _vhdl->set_body("instance_"+_name+" : "+_name);
+//     _vhdl->set_body("port map (");
     
-    list<string>::iterator i   = _list_port.begin();
-    if (i != _list_port.end())
-      {
-        _vhdl->set_body("\t "+*i+"\t=>\t"+*i);
-        ++i;
-      }
-    while (i != _list_port.end())
-      {
-        _vhdl->set_body("\t,"+*i+"\t=>\t"+*i);
-        ++i;
-      }
-    _vhdl->set_body("         );");
-  };
+//     list<string>::iterator i   = _list_port.begin();
+//     if (i != _list_port.end())
+//       {
+//         _vhdl->set_body("\t "+*i+"\t=>\t"+*i);
+//         ++i;
+//       }
+//     while (i != _list_port.end())
+//       {
+//         _vhdl->set_body("\t,"+*i+"\t=>\t"+*i);
+//         ++i;
+//       }
+//     _vhdl->set_body("         );");
+//   };
 
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_process_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_process_clock.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_generate_process_clock.cpp	(revision 41)
@@ -13,35 +13,35 @@
 namespace behavioural          {
 
-  void Vhdl_Testbench::generate_process_clock (uint32_t counter)
-  {
-    _vhdl->set_body("");
-    _vhdl->set_body(_clock_name+" <= not "+_clock_name+" after 50 ns;");
-    _vhdl->set_body("testbench_counter <= testbench_counter+1 after 100 ns;");
-    _vhdl->set_body("");
+//   void Vhdl_Testbench::generate_process_clock (uint32_t counter)
+//   {
+//     _vhdl->set_body("");
+//     _vhdl->set_body(_clock_name+" <= not "+_clock_name+" after 50 ns;");
+//     _vhdl->set_body("testbench_counter <= testbench_counter+1 after 100 ns;");
+//     _vhdl->set_body("");
 
-    _vhdl->set_body("process ("+_clock_name+")");
-    _vhdl->set_body("begin");
-    _vhdl->set_body("\tif "+_clock_name+"'event and "+_clock_name+" = '1' then");
-    _vhdl->set_body("");
-    _vhdl->set_body("\t\tassert (not ((testbench_must_test = '1') and not (testbench_test = testbench_output)))");
-    _vhdl->set_body("\t\treport \"   Test KO - output's test is different of output's component\"");
-    _vhdl->set_body("\t\tseverity FAILURE;");
-    _vhdl->set_body("");
-    _vhdl->set_body("\t\tassert (not ((testbench_must_test = '1') and     (testbench_test = testbench_output)))");
-    _vhdl->set_body("\t\treport \"   Test OK\"");
-    _vhdl->set_body("\t\tseverity NOTE;");
-    _vhdl->set_body("");
-    _vhdl->set_body("\t\tassert (not ( testbench_must_test = '0'))");
-    _vhdl->set_body("\t\treport \"No Test\"");
-    _vhdl->set_body("\t\tseverity NOTE;");
-    _vhdl->set_body("");
-    _vhdl->set_body("\tend if;");
-    _vhdl->set_body("end process;");
+//     _vhdl->set_body("process ("+_clock_name+")");
+//     _vhdl->set_body("begin");
+//     _vhdl->set_body("\tif "+_clock_name+"'event and "+_clock_name+" = '1' then");
+//     _vhdl->set_body("");
+//     _vhdl->set_body("\t\tassert (not ((testbench_must_test = '1') and not (testbench_test = testbench_output)))");
+//     _vhdl->set_body("\t\treport \"   Test KO - output's test is different of output's component\"");
+//     _vhdl->set_body("\t\tseverity FAILURE;");
+//     _vhdl->set_body("");
+//     _vhdl->set_body("\t\tassert (not ((testbench_must_test = '1') and     (testbench_test = testbench_output)))");
+//     _vhdl->set_body("\t\treport \"   Test OK\"");
+//     _vhdl->set_body("\t\tseverity NOTE;");
+//     _vhdl->set_body("");
+//     _vhdl->set_body("\t\tassert (not ( testbench_must_test = '0'))");
+//     _vhdl->set_body("\t\treport \"No Test\"");
+//     _vhdl->set_body("\t\tseverity NOTE;");
+//     _vhdl->set_body("");
+//     _vhdl->set_body("\tend if;");
+//     _vhdl->set_body("end process;");
     
-    _vhdl->set_body("");
-    _vhdl->set_body("assert (not (testbench_counter = " + toString(counter)+"))");
-    _vhdl->set_body("report \"End of Simulation\"");
-    _vhdl->set_body("severity FAILURE;");
-  };
+//     _vhdl->set_body("");
+//     _vhdl->set_body("assert (not (testbench_counter = " + toString(counter)+"))");
+//     _vhdl->set_body("report \"End of Simulation\"");
+//     _vhdl->set_body("severity FAILURE;");
+//   };
 
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_input.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_input.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_input.cpp	(revision 41)
@@ -16,30 +16,30 @@
 namespace behavioural          {
   
-  uint32_t Vhdl_Testbench::get_input (void)
-  {
-    list<string>::iterator i   = _list_input.begin();
+//   uint32_t Vhdl_Testbench::get_input (void)
+//   {
+//     list<string>::iterator i   = _list_input.begin();
     
-    uint32_t counter = 0;
+//     uint32_t counter = 0;
 
-    if (i != _list_input.end())
-      {
-	_vhdl->set_body ("");
-	_vhdl->set_body ("with testbench_counter select");
-	_vhdl->set_body ("\ttestbench_input <=");
+//     if (i != _list_input.end())
+//       {
+// 	_vhdl->set_body ("");
+// 	_vhdl->set_body ("with testbench_counter select");
+// 	_vhdl->set_body ("\ttestbench_input <=");
 
-	while (i != _list_input.end())
-	  {
-	    list<string>::iterator j = i;
-	    ++i;
+// 	while (i != _list_input.end())
+// 	  {
+// 	    list<string>::iterator j = i;
+// 	    ++i;
 
-	    if (i != _list_input.end())
-	      _vhdl->set_body ("\t\""+*j+"\" when "+toString(counter++)+",");
-	    else
-	      _vhdl->set_body ("\t\""+*j+"\" when others;");
-	  }
-      }
+// 	    if (i != _list_input.end())
+// 	      _vhdl->set_body ("\t\""+*j+"\" when "+toString(counter++)+",");
+// 	    else
+// 	      _vhdl->set_body ("\t\""+*j+"\" when others;");
+// 	  }
+//       }
 
-    return counter;
-  };
+//     return counter;
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_label.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_label.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_label.cpp	(revision 41)
@@ -16,14 +16,14 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::get_label (void)
-  {
-    for (list<label_t>::iterator i = _list_label.begin(); i != _list_label.end(); i++)
-      {
-	_vhdl->set_body("");
-	_vhdl->set_body("assert (not (testbench_counter = " + toString(i->_cycle)+"))");
-	_vhdl->set_body("report \"***** "+i->_label+" *****\"");
-	_vhdl->set_body("severity NOTE;");  
-      }
-  };
+//   void Vhdl_Testbench::get_label (void)
+//   {
+//     for (list<label_t>::iterator i = _list_label.begin(); i != _list_label.end(); i++)
+//       {
+// 	_vhdl->set_body("");
+// 	_vhdl->set_body("assert (not (testbench_counter = " + toString(i->_cycle)+"))");
+// 	_vhdl->set_body("report \"***** "+i->_label+" *****\"");
+// 	_vhdl->set_body("severity NOTE;");  
+//       }
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_output.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_output.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_output.cpp	(revision 41)
@@ -16,30 +16,30 @@
 namespace behavioural          {
   
-  uint32_t Vhdl_Testbench::get_output (void)
-  {
-    list<string>::iterator i   = _list_output.begin();
+//   uint32_t Vhdl_Testbench::get_output (void)
+//   {
+//     list<string>::iterator i   = _list_output.begin();
     
-    uint32_t counter = 0;
+//     uint32_t counter = 0;
 
-    if (i != _list_output.end())
-      {
-	_vhdl->set_body ("");
-	_vhdl->set_body ("with testbench_counter select");
-	_vhdl->set_body ("\ttestbench_test <=");
+//     if (i != _list_output.end())
+//       {
+// 	_vhdl->set_body ("");
+// 	_vhdl->set_body ("with testbench_counter select");
+// 	_vhdl->set_body ("\ttestbench_test <=");
 
-	while (i != _list_output.end())
-	  {
-	    list<string>::iterator j = i;
-	    ++i;
+// 	while (i != _list_output.end())
+// 	  {
+// 	    list<string>::iterator j = i;
+// 	    ++i;
 
-	    if (i != _list_output.end())
-	      _vhdl->set_body ("\t\""+*j+"\" when "+toString(counter++)+",");
-	    else
-	      _vhdl->set_body ("\t\""+*j+"\" when others;");
-	  }
-      }
+// 	    if (i != _list_output.end())
+// 	      _vhdl->set_body ("\t\""+*j+"\" when "+toString(counter++)+",");
+// 	    else
+// 	      _vhdl->set_body ("\t\""+*j+"\" when others;");
+// 	  }
+//       }
 
-    return counter;
-  };
+//     return counter;
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_test.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_get_test.cpp	(revision 41)
@@ -16,32 +16,32 @@
 namespace behavioural          {
   
-  uint32_t Vhdl_Testbench::get_test (void)
-  {
-    list<bool>::iterator i   = _list_test.begin();
+//   uint32_t Vhdl_Testbench::get_test (void)
+//   {
+//     list<bool>::iterator i   = _list_test.begin();
     
-    uint32_t counter = 0;
+//     uint32_t counter = 0;
 
-    if (i != _list_test.end())
-      {
-	_vhdl->set_body ("");
-	_vhdl->set_body ("with testbench_counter select");
-	_vhdl->set_body ("\ttestbench_must_test <=");
+//     if (i != _list_test.end())
+//       {
+// 	_vhdl->set_body ("");
+// 	_vhdl->set_body ("with testbench_counter select");
+// 	_vhdl->set_body ("\ttestbench_must_test <=");
 
-	while (i != _list_test.end())
-	  {
-	    list<bool>::iterator j = i;
-	    ++i;
+// 	while (i != _list_test.end())
+// 	  {
+// 	    list<bool>::iterator j = i;
+// 	    ++i;
 
-	    string str = (*j==true)?"1":"0";
+// 	    string str = (*j==true)?"1":"0";
 
-	    if (i != _list_test.end())
-	      _vhdl->set_body ("\t'"+str+"' when "+toString(counter++)+",");
-	    else
-	      _vhdl->set_body ("\t'"+str+"' when others;");
-	  }
-      }
+// 	    if (i != _list_test.end())
+// 	      _vhdl->set_body ("\t'"+str+"' when "+toString(counter++)+",");
+// 	    else
+// 	      _vhdl->set_body ("\t'"+str+"' when others;");
+// 	  }
+//       }
 
-    return counter;
-  };
+//     return counter;
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_new_cycle.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_new_cycle.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_new_cycle.cpp	(revision 41)
@@ -16,14 +16,14 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::new_cycle (void)
-  {
-    set_input();
-    set_output();
+//   void Vhdl_Testbench::new_cycle (void)
+//   {
+//     set_input();
+//     set_output();
 
-    _num_input   = _list_input_size .begin();
-    _num_output  = _list_output_size.begin();
+//     _num_input   = _list_input_size .begin();
+//     _num_output  = _list_output_size.begin();
 
-    _num_cycle ++;
-  };
+//     _num_cycle ++;
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_clock.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_clock.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_clock.cpp	(revision 41)
@@ -16,16 +16,16 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::set_clock (string name,
-				  bool   model_have_clock)
-  {
-    _clock_name = name;
-    _vhdl->set_signal (name,std_logic(1),"'0'");
+//   void Vhdl_Testbench::set_clock (string name,
+// 				  bool   model_have_clock)
+//   {
+//     _clock_name = name;
+//     _vhdl->set_signal (name,std_logic(1),"'0'");
 
-    if (model_have_clock == true)
-      _list_port.push_back(name);
+//     if (model_have_clock == true)
+//       _list_port.push_back(name);
 
-    _num_input   = _list_input_size .begin();
-    _num_output  = _list_output_size.begin();
-  };
+//     _num_input   = _list_input_size .begin();
+//     _num_output  = _list_output_size.begin();
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_input.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_input.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_input.cpp	(revision 41)
@@ -16,17 +16,17 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::set_input (void)
-  {
-    string text = "";
+//   void Vhdl_Testbench::set_input (void)
+//   {
+//     string text = "";
 
-    while (_list_input_cycle.empty() == false)
-      {
-	text += _list_input_cycle.front();
+//     while (_list_input_cycle.empty() == false)
+//       {
+// 	text += _list_input_cycle.front();
 
-	_list_input_cycle.pop_front();
-      }
+// 	_list_input_cycle.pop_front();
+//       }
 
-    _list_input.push_back(text);
-  };
+//     _list_input.push_back(text);
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_output.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_output.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_output.cpp	(revision 41)
@@ -16,17 +16,17 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::set_output (void)
-  {
-    string text = "";
+//   void Vhdl_Testbench::set_output (void)
+//   {
+//     string text = "";
 
-    while (_list_output_cycle.empty() == false)
-      {
-	text += _list_output_cycle.front();
+//     while (_list_output_cycle.empty() == false)
+//       {
+// 	text += _list_output_cycle.front();
 
-	_list_output_cycle.pop_front();
-      }
+// 	_list_output_cycle.pop_front();
+//       }
 
-    _list_output.push_back(text);
-  };
+//     _list_output.push_back(text);
+//   };
   
 }; // end namespace behavioural          
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_port.cpp	(revision 40)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/src/Vhdl_Testbench_set_port.cpp	(revision 41)
@@ -16,35 +16,35 @@
 namespace behavioural          {
   
-  void Vhdl_Testbench::set_port (string      name     ,
-				 direction_t direction,
-				 uint32_t    size     )
-  {
-    string   name2;
-    uint32_t size_old;
-    if (direction == IN)
-      {
-	_list_input_size.push_back(size);
-	size_old      = _size_input;
-	_size_input  += size;
-	name2         = "testbench_input";
-      }
-    else
-      {
-	_list_output_size.push_back(size);
-	size_old      = _size_output;
-	_size_output += size;
-	name2         = "testbench_output";
-      }
+//   void Vhdl_Testbench::set_port (string      name     ,
+// 				 direction_t direction,
+// 				 uint32_t    size     )
+//   {
+//     string   name2;
+//     uint32_t size_old;
+//     if (direction == IN)
+//       {
+// 	_list_input_size.push_back(size);
+// 	size_old      = _size_input;
+// 	_size_input  += size;
+// 	name2         = "testbench_input";
+//       }
+//     else
+//       {
+// 	_list_output_size.push_back(size);
+// 	size_old      = _size_output;
+// 	_size_output += size;
+// 	name2         = "testbench_output";
+//       }
 
-    string range;
-    if (size == 1)
-      range = "("+toString(size_old)+")";
-    else
-      range = "("+toString(size_old+size-1)+" downto "+toString(size_old)+")";
+//     string range;
+//     if (size == 1)
+//       range = "("+toString(size_old)+")";
+//     else
+//       range = "("+toString(size_old+size-1)+" downto "+toString(size_old)+")";
     
-    _vhdl->set_alias (name, std_logic(size), name2, range);
+//     _vhdl->set_alias (name, std_logic(size), name2, range);
 
-    _list_port.push_back(name);
-  };
+//     _list_port.push_back(name);
+//   };
   
 }; // end namespace behavioural          
